# debug/vector File Reference

Go to the source code of this file.

## Classes

- class std::__debug::vector< _Tp, _Allocator >
    Class std::vector with safety/checking/debug instrumentation. More...
- struct std::hash< __debug::vector< bool, _Alloc > >
    std::hash specialization for vector<bool>. More...

## Namespaces

- namespace std
- namespace std::__debug

## Functions

- template<typename _Tp , typename _Alloc > bool std::__debug::operator!= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > bool std::__debug::operator< (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > bool std::__debug::operator<= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > bool std::__debug::operator== (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > bool std::__debug::operator> (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > bool std::__debug::operator>= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > void std::__debug::swap (vector< _Tp, _Alloc > &__lhs, vector< _Tp, _Alloc > &__rhs)

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file debug/vector.